FreeBSD : PivotX -- 'ajaxhelper.php' XSS Vulnerability (0d3547ab-9b69-11e1-bdb1-525401003090)

Medium Nessus Plugin ID 59083


The remote FreeBSD host is missing a security-related update.


High-Tech Bridge reports :

Input passed via the 'file' GET parameter to /pivotx/ajaxhelper.php is not properly sanitised before being returned to the user. This can be exploited to execute arbitrary HTML and script code in administrator's browser session in context of the affected website.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 59083

File Name: freebsd_pkg_0d3547ab9b6911e1bdb1525401003090.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2012/05/14

Modified: 2014/08/14

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:pivotx, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/05/12

Vulnerability Publication Date: 2012/05/09

Reference Information

CVE: CVE-2012-2274

BID: 53434

OSVDB: 81747